#include "managedObject.hpp"
#include "objectManager.hpp"

namespace render {
namespace kernel {

ManagedObject::ManagedObject() noexcept
{
    ObjectManager::Track(this);
}

ManagedObject::~ManagedObject() noexcept
{
    ObjectManager::StopTrack(this);
}

}
}
